Documentation>C API
Data Fields
VlMserReg Struct Reference

MSER: basic region (declaration). More...

`#include <mser.h>`

## Data Fields

vl_uint | parent
vl_uint | shortcut
vl_uint | height
vl_uint | area

## Detailed Description

MSER: basic region.

Extremal regions and maximally stable extremal regions are instances of image regions.

There is an image region for each pixel of the image. Each region is represented by an instance of this structure. Regions are stored into an array in pixel order.

Regions are arranged into a forest. VlMserReg::parent points to the parent node, or to the node itself if the node is a root. VlMserReg::parent is the index of the node in the node array (which therefore is also the index of the corresponding pixel). VlMserReg::height is the distance of the fartest leaf. If the node itself is a leaf, then VlMserReg::height is zero.

VlMserReg::area is the area of the image region corresponding to this node.

VlMserReg::region is the extremal region identifier. Not all regions are extremal regions however; if the region is NOT extremal, this field is set to ....

## Field Documentation

## ◆ area

vl_uint VlMserReg::area

area of the region.

## ◆ height

vl_uint VlMserReg::height

region height in the forest.

## ◆ parent

vl_uint VlMserReg::parent

points to the parent region.

## ◆ shortcut

vl_uint VlMserReg::shortcut

points to a region closer to a root.

The documentation for this struct was generated from the following file:

- mser.h